## python-auto-pytabs 0.4.0

=== debian/changelog ===
python-auto-pytabs (0.4.0-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 03 Sep 2024 20:42:40 +0200

python-auto-pytabs (0.4.0-1) unstable; urgency=medium

  * [016ad8e] New upstream version 0.4.0
  * [bb43bcc] Initial Debianization
    (Closes: #1078662)

 -- Kathara Sasikumar <katharasasikumar007@gmail.com>  Thu, 15 Aug 2024 21:07:38 +0530
