=== debian/control ===
Source: python-auto-pytabs
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 mkdocs <!nocheck>,
 python3-markdown <!nocheck>,
 python3-poetry-core,
 python3-pymdownx <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-regressions <!nocheck>,
 python3-ruff <!nocheck>,
 python3-sphinx <!nocheck>,
 python3-testpath <!nocheck>,
 python3-yaml <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/provinzkraut/AutoPyTabs
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-auto-pytabs
Vcs-Git: https://salsa.debian.org/python-team/packages/python-auto-pytabs.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-auto-pytabs
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Automatically generate code examples for mkdocs or Sphinx (Python 3)
 Python project documentation typically include code examples. Given that most
 of the time, a project will support multiple versions of Python, it would be
 ideal to showcase the adjustments that can or need to be made for different
 Python versions. This can be achieved by including several versions of the
 example code, conveniently displayed using the pymdown "tabbed" extension
 for markdown, or sphinx{design} tabs for Sphinx.
 .
 AutoPyTabs aims to solve all these problems by automatically generating
 versions (using the awesome ruff project) of code examples, targeting different
 Python versions at build-time, based on a base version (the lowest supported
 Python version). This means that:
 .
  * There exists only one version of each example: The lowest supported version
    becomes the source of truth, therefore preventing out-of-sync examples and
    reducing maintenance burden.
  * Dropping or adding support for Python versions can be done via a simple
    change in a configuration file
 .
 This package installs the library for Python 3.
