=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export PYBUILD_NAME=auto_pytabs
export PYBUILD_TEST_ARGS="-k \
not test_upgrade_default_tab \
and not test_upgrade_tabs_all_versions \
and not test_upgrade_versions \
and not test_upgrade_single_version \
and not test_upgrade_reverse_order \
"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .mypy_cache .pytest_cache
