=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 python3-all,
 python3-httpx,
 python3-markdown,
 python3-pymdownx,
 python3-pytest,
 python3-pytest-mock,
 python3-pytest-regressions,
 python3-ruff,
 python3-sphinx,
 python3-testpath,
 python3-yaml,
 @,
Restrictions: allow-stderr
